Get Agent Config
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/agent \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/agent"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/agent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"projectId": "<string>",
"type": "<string>",
"name": "<string>",
"status": "<string>",
"globalPrompt": "<string>",
"executionMode": "<string>",
"timezone": "<string>",
"memoryEnabled": true,
"beforeStartConfig": {},
"postSessionWebhook": {},
"postEvaluationConfig": {},
"placeholderMessages": {},
"variableConfigs": [
{}
]
}
}Get Agent Config
Get the agent configuration for a project
GET
/
v1
/
projects
/
{projectId}
/
agent
Get Agent Config
Request
GET https://api.pathors.com/v1/projects/{projectId}/agent
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
object
Show properties
Show properties
string
Agent ID
string
Associated project ID
string
Agent type (
monolithic or skill)string
Agent display name
string
Agent status (
draft or published)string
System-wide prompt applied to all nodes
string
LLM execution mode (
smart, turbo, or balance)string
Agent timezone
boolean
Whether agent memory is enabled
object
Pre-session execution config
object
Webhook called after session ends
object
Auto-evaluation config
object
Placeholder messages by language
array
Variable extraction configs
Example
curl https://api.pathors.com/v1/projects/{projectId}/agent \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"id": "agent-uuid",
"projectId": "project-uuid",
"type": "monolithic",
"name": "Customer Support Agent",
"status": "published",
"globalPrompt": "You are a helpful customer support agent.",
"executionMode": "smart",
"timezone": "Asia/Taipei",
"memoryEnabled": false,
"beforeStartConfig": null,
"postSessionWebhook": null,
"postEvaluationConfig": null,
"placeholderMessages": null,
"variableConfigs": null
}
}
⌘I
